Home / Resources / API Reference

Script Module

Base route: /api/script-module

Create script module

This API endpoint creates a new script module in the workspace. Script modules allow you to centralize common functions and variables that can be imported and reused across multiple steps and scripts.

Request

Parameters
workspaceId
string
required
The unique identifier of the workspace.
name
string
required
The name of the script module.
script
string
required
The source code content of the module.
scriptLanguage
string
required
The language of the script (e.g., PowerShell, C#).
Request body

POST /api/script-module {   "workspaceId": "string",   "name": "string",   "description": "string",   "script": "string",   "scriptLanguage": "string" }

Response

Parameters
scriptModuleId
string
The unique ID assigned to the created module.
Response body

{   "scriptModuleId": "string" }